Welcome! Log In Create A New Profile

Advanced

как на ubuntu установить конкретно php версии 5.4.17 ?

Posted by Владимир Гришин 
Владимир Гришин
как на ubuntu установить конкретно php версии 5.4.17 ?
August 16, 2013 06:46AM
как на ubuntu установить конкретно php версии 5.4.17 ?

--

---
Вы получили это сообщение, поскольку подписаны на группу highload-php-ru.

Чтобы отказаться от подписки на эту группу и перестать получать из нее сообщения, отправьте электронное письмо на адрес highload-php-ru+unsubscribe@googlegroups.com.
Настройки подписки и доставки писем: https://groups.google.com/groups/opt_out.
из исходников


16 августа 2013 г., 14:33 пользователь Владимир Гришин
<vgrish@gmail.com>написал:

> как на ubuntu установить конкретно php версии 5.4.17 ?
>
> --
>
> ---
> Вы получили это сообщение, поскольку подписаны на группу highload-php-ru.
>
> Чтобы отказаться от подписки на эту группу и перестать получать из нее
> сообщения, отправьте электронное письмо на адрес
> highload-php-ru+unsubscribe@googlegroups.com.
> Настройки подписки и доставки писем:
> https://groups.google.com/groups/opt_out.
>

--

---
Вы получили это сообщение, поскольку подписаны на группу highload-php-ru.

Чтобы отказаться от подписки на эту группу и перестать получать из нее сообщения, отправьте электронное письмо на адрес highload-php-ru+unsubscribe@googlegroups.com.
Настройки подписки и доставки писем: https://groups.google.com/groups/opt_out.
В убунту все-же лучше собрать нужную версию в .deb пакет из исходинков,
используя checkinstall


16 августа 2013 г., 15:15 пользователь Николай Измайлов <
nekulin123@gmail.com> написал:

> из исходников
>
>
> 16 августа 2013 г., 14:33 пользователь Владимир Гришин <vgrish@gmail.com>написал:
>
> как на ubuntu установить конкретно php версии 5.4.17 ?
>>
>> --
>>
>> ---
>> Вы получили это сообщение, поскольку подписаны на группу highload-php-ru.
>>
>> Чтобы отказаться от подписки на эту группу и перестать получать из нее
>> сообщения, отправьте электронное письмо на адрес
>> highload-php-ru+unsubscribe@googlegroups.com.
>> Настройки подписки и доставки писем:
>> https://groups.google.com/groups/opt_out.
>>
>
> --
>
> ---
> Вы получили это сообщение, поскольку подписаны на группу highload-php-ru.
>
> Чтобы отказаться от подписки на эту группу и перестать получать из нее
> сообщения, отправьте электронное письмо на адрес
> highload-php-ru+unsubscribe@googlegroups.com.
> Настройки подписки и доставки писем:
> https://groups.google.com/groups/opt_out.
>



--
Sergey Makarov
<serg.makar@gmail.com>

--

---
Вы получили это сообщение, поскольку подписаны на группу highload-php-ru.

Чтобы отказаться от подписки на эту группу и перестать получать из нее сообщения, отправьте электронное письмо на адрес highload-php-ru+unsubscribe@googlegroups.com.
Настройки подписки и доставки писем: https://groups.google.com/groups/opt_out.
Скорей всего найти нужный репозиторий или исходники))
Посмотрите в сторону phpenv

пятница, 16 августа 2013 г., 13:33:47 UTC+3 пользователь Владимир Гришин
написал:
>
> как на ubuntu установить конкретно php версии 5.4.17 ?
>

--

---
Вы получили это сообщение, поскольку подписаны на группу highload-php-ru.

Чтобы отказаться от подписки на эту группу и перестать получать из нее сообщения, отправьте электронное письмо на адрес highload-php-ru+unsubscribe@googlegroups.com.
Настройки подписки и доставки писем: https://groups.google.com/groups/opt_out.
https://launchpad.net/~ondrej/+archive/php5/+build/4802286


2013/8/16 sqrt <atrigub@gmail.com>

> Скорей всего найти нужный репозиторий или исходники))
> Посмотрите в сторону phpenv
>
> пятница, 16 августа 2013 г., 13:33:47 UTC+3 пользователь Владимир Гришин
> написал:
>
>> как на ubuntu установить конкретно php версии 5.4.17 ?
>>
> --
>
> ---
> Вы получили это сообщение, поскольку подписаны на группу highload-php-ru.
>
> Чтобы отказаться от подписки на эту группу и перестать получать из нее
> сообщения, отправьте электронное письмо на адрес
> highload-php-ru+unsubscribe@googlegroups.com.
> Настройки подписки и доставки писем:
> https://groups.google.com/groups/opt_out.
>

--

---
Вы получили это сообщение, поскольку подписаны на группу highload-php-ru.

Чтобы отказаться от подписки на эту группу и перестать получать из нее сообщения, отправьте электронное письмо на адрес highload-php-ru+unsubscribe@googlegroups.com.
Настройки подписки и доставки писем: https://groups.google.com/groups/opt_out.
sudo apt-get install php5-dev
- "php5"
- "php5-dev"
- "php-pear"
- "php5-cli"
- "autoconf"
- "automake"
- "curl"
- "build-essential"
- "libxslt1-dev"
- "re2c"
- "libxml2"
- "libxml2-dev"
- "bison"
- "libbz2-dev"
- "libreadline-dev"
- "libmcrypt4"
- "libmcrypt-dev"
- "libgd-tools"
- "libicu-dev"
- "libfreetype6"
- "libfreetype6-dev"

curl -L -O https://github.com/phpbrew/phpbrew/raw/master/phpbrew
chmod +x phpbrew
sudo cp phpbrew /usr/bin/phpbrew
phpbrew init
source /home/vagrant/.phpbrew/bashrc
phpbrew lookup-prefix ubuntu

sudo chmod a+w /usr/lib/apache2/modules/
sudo chmod -R og+rw /etc/apache2

phpbrew install php-5.4.17 +default +mysql +apxs2 +pdo
phpbrew switch php-5.4.17

sudo chmod a-w /usr/lib/apache2/modules/
sudo chmod -R og-rw /etc/apache2

пʼятниця, 16 серпня 2013 р. 13:33:47 UTC+3 користувач Владимир Гришин
написав:
>
> как на ubuntu установить конкретно php версии 5.4.17 ?
>

--

---
Вы получили это сообщение, поскольку подписаны на группу highload-php-ru.

Чтобы отменить подписку на эту группу и больше не получать от нее сообщения, отправьте письмо на электронный адрес highload-php-ru+unsubscribe@googlegroups.com.
Настройки подписки и доставки писем: https://groups.google.com/d/optout.
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 69
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready